#!/bin/sh
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}


config etc/pam.d/imap.new
config etc/pam.d/pop.new
config etc/xinetd.d/imap.new
config etc/xinetd.d/pop3-dgram.new
config etc/xinetd.d/pop3-stream.new

rm -f etc/pam.d/imap.new
rm -f etc/pam.d/pop.new
rm -f etc/xinetd.d/imap.new
rm -f etc/xinetd.d/pop3-dgram.new
rm -f etc/xinetd.d/pop3-stream.new

